Main Page Widgets Namespaces Book

# Gtk::Menu_Helpers::CheckMenuElem Class Reference

Inheritance diagram for Gtk::Menu_Helpers::CheckMenuElem:

[legend]
List of all members.

## Public Member Functions

| CheckMenuElem (const Glib::ustring& label, const AccelKey& key, const CallSlot& slot=CallSlot())
| Create a labeled, accelerated CheckMenuItem with a sigc::slot.
| CheckMenuElem (const Glib::ustring& label, const CallSlot& slot=CallSlot())
| Create a labeled, non-accelerated MenuItem with a sigc::slot.
| CheckMenuElem (CheckMenuItem& child)

## Constructor & Destructor Documentation

Gtk::Menu_Helpers::CheckMenuElem::CheckMenuElem | ( | CheckMenuItem& | child | ) |

Gtk::Menu_Helpers::CheckMenuElem::CheckMenuElem | ( | const Glib::ustring & | label,
|  | const CallSlot& | slot = `CallSlot()` |
| ) |  |  |

Create a labeled, non-accelerated MenuItem with a sigc::slot.

Parameters:

  | label | The menu item's name
  | slot | Use sigc::mem_fun() to specify a signal handler

Gtk::Menu_Helpers::CheckMenuElem::CheckMenuElem | ( | const Glib::ustring & | label,
|  | const AccelKey& | key,
|  | const CallSlot& | slot = `CallSlot()` |
| ) |  |  |

Create a labeled, accelerated CheckMenuItem with a sigc::slot.

Parameters:

  | label | The menu item's name
  | key | The accelerator key combination
  | slot | Use sigc::mem_fun() to specify a signal handler

The documentation for this class was generated from the following file:

- menu_elems.h